--
-- Rubbish by Ludovicus (LuisOrtiz@Verizon.NET)
--
-- Initialization Functions
--
-- This addon is dedidicated to Harry Wasylyk & Larry Hansen, the Canadian inventors of the disposable green polyethylene garbage bag.


Rubbish = LibStub("AceAddon-3.0"):NewAddon("Rubbish","AceHook-3.0","AceEvent-3.0")


Rubbish.DebugMode = false


function Rubbish:Message(...)
	msg = nil
	for n=1,select('#',...) do
		local item = select(n,...)
		if msg == nil then
			msg = tostring(item)
		else
			msg = msg .. " " .. tostring(item)
		end
	end
	return msg
end


function Rubbish:dprint(...)
	if Rubbish.DebugMode then
		msg = Rubbish:Message("|cffffff00Rubbish|r: ",...)
		print(msg)
	end
end


function Rubbish:dwarn(...)
	if Rubbish.DebugMode then
		msg = Rubbish:Message("|cffff0000Rubbish|r: ",...)
		print(msg)
	end
end


function Rubbish:say(...)
		msg = Rubbish:Message("|cff00ff00Rubbish|r: ",...)
		print(msg)
end




function Rubbish:OnEnable()
		RubbishDB = RubbishDB or {}
		if RubbishDB["Enabled"] == nil then
			RubbishDB["Enabled"] = true
		end
		if RubbishDB["AlwaysSellJunk"] == nil then
			RubbishDB["AlwaysSellJunk"] = true
		end
		if RubbishDB["noAucAdvanced"] == nil then
			RubbishDB["noAucAdvanced"] = false
		end
		if RubbishDB["FreeSlotTarget"] == nil then
			RubbishDB["FreeSlotTarget"] = 2
		end
		if RubbishDB["AutoSellLimit"] == nil then
			RubbishDB["AutoSellLimit"] = 10
		end
		if RubbishDB["TossWhites"] == nil then
			RubbishDB["TossWhites"] = true
		end
		Rubbish:Merchant_Init()
		Rubbish:Field_Init()
		Rubbish:Quest_Init()
		Rubbish:Config_Init()
end


function Rubbish:OnDisable()
		Rubbish:Merchant_Disable()
		Rubbish:Field_Disable()
		Rubbish:Quest_Disable()
end

















